Omniplex Docs
PopplioProduction

Platform Specific

These API endpoints are related to platform specific endpoints such as fetching discord users etc

GET
/platform/user/{id}

Get Platform User

This endpoint will return a user object based on the user id for a given platform. This is useful for getting a user's avatar/username/discriminator etc.

/platform/user/{id}

Path Parameters

id
Required
string

The user's ID

Query Parameters

platform
Required
string

The platform to get the user from.

curl -X GET "https://spider.omniplex.gg/platform/user/string?platform=string"

Success

{
  "avatar": "string",
  "bot": true,
  "display_name": "string",
  "extra_data": {
    "property1": null,
    "property2": null
  },
  "flags": [
    "string"
  ],
  "id": "string",
  "status": "string",
  "username": "string"
}

DELETE
/platform/user/{id}

Clear Platform User Cache

This endpoint will clear the cache for a user id on a given platform. This is useful if the user's data has changes

/platform/user/{id}

Path Parameters

id
Required
string

The user's ID

Query Parameters

platform
Required
string

The platform to get the user from.

curl -X DELETE "https://spider.omniplex.gg/platform/user/string?platform=string"

Success

null